### Method

# AppStreamCompose DirectoryUnit set_root

#### Declaration [src]

    void
    asc_directory_unit_set_root (
      AscDirectoryUnit* dirunit,
      const gchar* root_dir
    )

#### Description [src]

Sets the root directory path for this unit.

#### Parameters

`root_dir`

  Type: `const gchar*`

  Absolute directory path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.